This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 119644 - tmpwatch can not stat initrd's tmp files.
tmpwatch can not stat initrd's tmp files.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: policy (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
: SELinux
Depends On:
Blocks: 122683
  Show dependency treegraph
 
Reported: 2004-03-31 19:31 EST by Aleksey Nogin
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-10 11:06:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Aleksey Nogin 2004-03-31 19:31:39 EST
/etc/cron.daily/tmpwatch:

error: failed to lstat /tmp/initrd.Fs6335/dev/console: Permission denied
error: failed to lstat /tmp/initrd.Fs6335/dev/null: Permission denied
error: failed to lstat /tmp/initrd.Fs6335/dev/ram: Permission denied
error: failed to lstat /tmp/initrd.Fs6335/dev/systty: Permission denied
error: failed to lstat /tmp/initrd.Fs6335/dev/tty1: Permission denied
error: failed to lstat /tmp/initrd.Fs6335/dev/tty2: Permission denied
error: failed to lstat /tmp/initrd.Fs6335/dev/tty3: Permission denied
error: failed to lstat /tmp/initrd.Fs6335/dev/tty4: Permission denied

Mar 31 04:02:42 dell kernel: audit(1080734562.496:0): avc:  denied  {
getattr } for  pid=30369 exe=/usr/sbin/tmpwatch
path=/tmp/initrd.Fs6335/dev/console dev=hda2 ino=509069
scontext=system_u:system_r:tmpreaper_t
tcontext=root:object_r:bootloader_tmp_t tclass=chr_file
Mar 31 04:02:42 dell kernel: audit(1080734562.497:0): avc:  denied  {
getattr } for  pid=30369 exe=/usr/sbin/tmpwatch
path=/tmp/initrd.Fs6335/dev/null dev=hda2 ino=509070
scontext=system_u:system_r:tmpreaper_t
tcontext=root:object_r:bootloader_tmp_t tclass=chr_file
Mar 31 04:02:42 dell kernel: audit(1080734562.497:0): avc:  denied  {
getattr } for  pid=30369 exe=/usr/sbin/tmpwatch
path=/tmp/initrd.Fs6335/dev/ram dev=hda2 ino=509071
scontext=system_u:system_r:tmpreaper_t
tcontext=root:object_r:bootloader_tmp_t tclass=blk_file
Mar 31 04:02:42 dell kernel: audit(1080734562.498:0): avc:  denied  {
getattr } for  pid=30369 exe=/usr/sbin/tmpwatch
path=/tmp/initrd.Fs6335/dev/systty dev=hda2 ino=509072
scontext=system_u:system_r:tmpreaper_t
tcontext=root:object_r:bootloader_tmp_t tclass=chr_file
Mar 31 04:02:42 dell kernel: audit(1080734562.498:0): avc:  denied  {
getattr } for  pid=30369 exe=/usr/sbin/tmpwatch
path=/tmp/initrd.Fs6335/dev/tty1 dev=hda2 ino=509073
scontext=system_u:system_r:tmpreaper_t
tcontext=root:object_r:bootloader_tmp_t tclass=chr_file
Mar 31 04:02:42 dell kernel: audit(1080734562.498:0): avc:  denied  {
getattr } for  pid=30369 exe=/usr/sbin/tmpwatch
path=/tmp/initrd.Fs6335/dev/tty2 dev=hda2 ino=509074
scontext=system_u:system_r:tmpreaper_t
tcontext=root:object_r:bootloader_tmp_t tclass=chr_file
Mar 31 04:02:42 dell kernel: audit(1080734562.498:0): avc:  denied  {
getattr } for  pid=30369 exe=/usr/sbin/tmpwatch
path=/tmp/initrd.Fs6335/dev/tty3 dev=hda2 ino=509075
scontext=system_u:system_r:tmpreaper_t
tcontext=root:object_r:bootloader_tmp_t tclass=chr_file
Mar 31 04:02:42 dell kernel: audit(1080734562.498:0): avc:  denied  {
getattr } for  pid=30369 exe=/usr/sbin/tmpwatch
path=/tmp/initrd.Fs6335/dev/tty4 dev=hda2 ino=509076
scontext=system_u:system_r:tmpreaper_t
tcontext=root:object_r:bootloader_tmp_t tclass=chr_file

tmpwatch-2.9.0-2.1 policy-sources-1.9.1-2
Comment 1 Daniel Walsh 2004-04-01 13:17:00 EST
policy-sources-1.9.2-2

Note You need to log in before you can comment on or make changes to this bug.